// -*- c++ -*-
/*
 *  USBSink - exception.h
 *
 *  Copyright (C) 2006 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _EXCEPTION_H_
#define _EXCEPTION_H_

#include <glibmm/ustring.h>

namespace USBSink
{

class Exception
{
 public:
  Exception() {}
  Exception(const Glib::ustring& msg) : msg_(msg) {}

  Glib::ustring what() const { return msg_; }

 protected:
  Glib::ustring msg_;
};

} // namespace USBSink

#endif // _EXCEPTION_H_

