/*
 *  USBSink - logger.cc
 *
 *  Copyright (C) 2006 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "logger.h"

#include <sstream>

namespace USBSink
{

Logger::Logger()
{
  buffer_ = Gtk::TextBuffer::create();
}

Logger::~Logger()
{
}

Logger&
Logger::operator<<(const Glib::ustring& text)
{
  // append to the end of the buffer
  buffer_->insert(buffer_->end(), text);
  return *this;
}

Logger&
Logger::operator<<(unsigned long long x)
{
  std::ostringstream s;
  s << x;
  buffer_->insert(buffer_->end(), s.str());
  return *this;
}

} // namespace USBSink
