/*
 *  USBSink - logger.h
 *
 *  Copyright (C) 2006 Marko Anastasov
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _LOGGER_H_
#define _LOGGER_H_

#include "uncopyable.h"

#include <glibmm/ustring.h>
#include <gtkmm/textbuffer.h>

namespace USBSink
{

class Logger : private Uncopyable
{
 public:
  explicit Logger();
  ~Logger();

  Glib::RefPtr<Gtk::TextBuffer> get_text_buffer() { return buffer_; }

  sigc::signal<void, Glib::ustring> signal_new_log_data;

  Logger& operator<<(const Glib::ustring& text);
  Logger& operator<<(unsigned long long x);
  //Logger& operator<<(long x);

 private:
  Glib::RefPtr<Gtk::TextBuffer> buffer_;
};

} // namespace USBSink

#endif // _LOGGER_H_
